Subject: Re: [PATCH] softmac: remove netif_tx_disable when scanning

From: Larry Finger <[email-masked]>
Date: Sun, 26 Nov 2006 13:03:09 -0600

Johannes Berg wrote:
> On Sun, 2006-11-26 at 13:25 -0500, Daniel Drake wrote:
> 
>> No, we could stick with our existing setup if the stack did something 
>> different.
> 
> But you do need full refcounting I guess.
> 
>>> Because for
>>> the stack it wouldn't be required if it'd simply not start scanning when
>>> queue is disabled and stop scanning immediately when queue stop is
>>> requested.
>> That would work, assuming there is a way to make the stack listen for 
>> the "TX queue stopped" event (or would the ieee80211_tx_disable wrapper 
>> take care of that?).
> 
> A wrapper is what I had in mind, I don't think there's any notification
> for these things.

If someone will prepare a patch that will fix this, I can test it. Otherwise, I'm prepared to 
substitute the bug that doesn't hurt anything for the one that I have shown does cause problems.

Larry